<?xml version="1.0" encoding="UTF-8"?><!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.1//EN" "http://www.w3.org/TR/xhtml11/DTD/xhtml11.dtd">
<html version="-//W3C//DTD XHTML 1.1//EN" xsi:schemaLocation="http://www.w3.org/1999/xhtml http://www.w3.org/MarkUp/SCHEMA/xhtml11.xsd" xml:lang="en" lang="en" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xmlns:sos="http://www.untiednations.com/SOS" xmlns="http://www.w3.org/1999/xhtml"><head><meta http-equiv="content-type" content="application/xhtml+xml; charset=UTF-8"/>
<!-- This file was created by sos_xml_to_sos_grid_xhtml_1.xsl of SOS Grid Prototype 1, which is free software licensed under the GNU Affero General Public License 3 or any later version (see https://gitlab.com/groupware-systems/sos/sos-experimental/tree/master/prototypes/sos-grid-1/ and http://www.untiednations.com/community/plan-sos/). -->
<!--
Copyright (C) 2018-2019 Stephan Kreutzer

This file is part of SOS Grid Prototype 1.

SOS Grid Prototype 1 is free software: you can redistribute it and/or modify
it under the terms of the GNU Affero General Public License version 3 or any later version,
as published by the Free Software Foundation.

SOS Grid Prototype 1 is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
GNU Affero General Public License 3 for more details.

You should have received a copy of the GNU Affero General Public License 3
along with SOS Grid Prototype 1. If not, see <http://www.gnu.org/licenses/>.

The data in the <div id="sos-input"/> is not part of this program,
it's user data that is only processed. A different license may apply.
-->
<title>SOS Grid Prototype 1</title><meta content="initial-scale=1.0, maximum-scale=1.0, minimum-scale=1.0, user-scalable=no" name="viewport"/><link rel="stylesheet" type="text/css" href="./css/styles.css"/><script type="text/javascript" src="./js/sos-grid-engine.js">//</script><script type="text/javascript" src="./js/sos-grid-renderer.js">//</script><script type="text/javascript" src="./js/sos-grid-navigation.js">//</script><script type="text/javascript">
"use strict";

// As browsers/W3C/WHATWG are incredibly evil, they might ignore the self-declarative
// XML namespace of this document and the given content type in the header, and instead
// assume/render "text/html", which then fails with JavaScript characters that are
// XML/XHTML special characters which need to be escaped, if the file is saved under
// a name that happens to end with ".html" (!!!). Just have the file name end with
// ".xhtml" and it might magically start to work.

function loadGrid() {
    if (window.location.hash.length &gt; 1) {
        NavigatePoi(window.location.hash.substr(1));
    } else {
        // NavigatePoi() with empty ID string: load the "default" (first) POI.
        NavigatePoi("");
    }
}

window.onload = function () {
    let loadLink = document.getElementById('loadLink');
    loadLink.parentNode.removeChild(loadLink);

    loadGrid();

    if ("onhashchange" in window) {
        window.onhashchange = loadGrid;
    }
};
</script></head><body><div id="grid"><div id="causes"/><div id="current"/><div id="effects"/><div id="details"/><div id="loadLink"><a href="#" onclick="loadGrid();">Load</a></div></div><div id="sos-input" style="display:none;"><!-- The data contained in this element and sub-elements is not part of this program, it's user data and might be under a different license than this program. This program also doesn't depend on it or link it as a library, it's only processed. --><sos:SOS Language="en" xsi:schemaLocation="http://www.untiednations.com/SOS http://www.untiednations.com/XML/SOSMeeting1.xsd">
  <sos:POI ID="30" Type="Effect">
    <sos:Parent Parent-ID="8"/>
    <sos:Title>Grid Prototype 1 interface doesn’t allow navigation to groups of POIs other than the current one if they’re not connected</sos:Title>
    <sos:Text>The grid interface to navigate/traverse a graph/network doesn’t provide a way to reach from one group of connected POIs to another group of connected POIs if no POIs from the two separate groups share a connection between the groups. The only way to access separate groups is via the fragment identifier if the user knows the ID of a POI of the group, which is very inconvenient and not an interface control.</sos:Text>
  </sos:POI>
  <sos:POI ID="1" Type="Effect">
    <sos:Parent Parent-ID="2"/>
    <sos:Parent Parent-ID="3"/>
    <sos:Parent Parent-ID="4"/>
    <sos:Title>The browser is sandboxed</sos:Title>
    <sos:Text>Our prototypes are implemented in the browser. The issue is the “Same Origin Policy” and the problem that Cross-Origin Resource Sharing requires the cooperation of remote, external entities in advance.</sos:Text>
  </sos:POI>
  <sos:POI ID="2" Type="Effect">
    <sos:Parent Parent-ID="13"/>
    <sos:Parent Parent-ID="20"/>
    <sos:Title>Remote code execution</sos:Title>
    <sos:Text>The browser executes unchecked code retrieved from remote, external entities. Such code can be malicious. The browser needs to sandbox the execution in order to protect the computer from compromization. Reasons for it are that no software installation is required in advance (dynamic loading and execution on demand), and that the operating systems running the majority of browsers lack the concept of software distribution repositories where code is submitted and checked, as most of the remote code is proprietary, as well as the operating system that supports this model of denying digital freedom to the user, so the code must be obtained from the original author and can’t be fixed (if broken or malicious), to establish and maintain the dependency.</sos:Text>
  </sos:POI>
  <sos:POI ID="13" Type="Effect">
    <sos:Title>Manual software installation is inconvenient</sos:Title>
    <sos:Text/>
  </sos:POI>
  <sos:POI ID="20" Type="Effect">
    <sos:Title>Lock-in dependency on a single online server/domain/storage/service</sos:Title>
    <sos:Text/>
  </sos:POI>
  <sos:POI ID="3" Type="Effect">
    <sos:Title>Leakage of confidential data</sos:Title>
    <sos:Text>If the browser gets and executes unchecked code from various remote, external entities, it could send the confidential data hold by the other code back from where itself came from and leak it.</sos:Text>
  </sos:POI>
  <sos:POI ID="4" Type="Effect">
    <sos:Parent Parent-ID="20"/>
    <sos:Title>Business model of online service dependency</sos:Title>
    
    <sos:Text>Browser vendors tend to be engaged in some form of SaaS online service lock-in dependency business model, so it would harm their business interest if the sandbox wouldn’t enforce the use of these services and instead would allow to make use of local alternatives.</sos:Text>
  </sos:POI>
  <sos:POI ID="5" Type="Effect">
    <sos:Parent Parent-ID="1"/>
    <sos:Title>Limitations for offline use</sos:Title>
    <sos:Text>Data can’t be loaded from or stored to the local hard drive. It’s impossible to interoperate with existing other software on the system. It’s impossible to retrieve data from or submit data to a remote server.</sos:Text>
  </sos:POI>
  <sos:POI ID="6" Type="Effect">
    <sos:Parent Parent-ID="1"/>
    <sos:Title>Quasi-reqirement of online use</sos:Title>
    <sos:Text>No data exchange can happen conveniently if it isn’t done with the original remote, external server that delivered the web application files. The operator of the server that delivered the web application files will be faced with responsibilities like data protection, preventing data loss, security, quality of service (uptime and providing the service, so if the service is discontinued, people will loose their work), demands of law enforcement, etc. If the user doesn’t have connectivity, some functions won’t work, for example: uploading a file in order to share/publish and then retrieve it again from the original remote server, because local files can’t be added to the local web software.</sos:Text>
  </sos:POI>
  <sos:POI ID="7" Type="Effect">
    <sos:Parent Parent-ID="8"/>
    <sos:Title>No neutral repository</sos:Title>
    <sos:Text>The repository for the prototypes and examples is published under the “groupware-systems” group: https://gitlab.com/groupware-systems/sos/sos-experimental</sos:Text>
  </sos:POI>
  <sos:POI ID="8" Type="Effect">
    <sos:Parent Parent-ID="27"/>
    <sos:Title>Bootstrapping</sos:Title>
    <sos:Text>No prior discussion, organizational structures or planning, instead: fast prototyping and ad-hoc setup to reduce the costs of potential failure. Adjust dynamically, build for demand, and not find out after a lot of investment that it turns out to be the wrong result. A main concept of Douglas Engelbart, also known from the Agile Movement, also known from the Lean Movement.</sos:Text>
  </sos:POI>
  <sos:POI ID="27" Type="Effect">
    <sos:Title>Practical work is difficult and expensive</sos:Title>
    <sos:Text>It is very difficult and expensive to influence the manifest design of existing, real systems according to a theoretical plan. Costs can be time, health, timing/opportunity, enjoyment, mental capacity, etc.</sos:Text>
  </sos:POI>
  <sos:POI ID="9" Type="Effect">
    <sos:Parent Parent-ID="7"/>
    <sos:Title>Bad for linking</sos:Title>
    <sos:Text>Links to the repository will lead to skreutzer’s account. A redirect likely can’t be set up later, so moving the repository later likely will break existing links.</sos:Text>
  </sos:POI>
  <sos:POI ID="10" Type="Effect">
    <sos:Parent Parent-ID="7"/>
    <sos:Title>Bad context</sos:Title>
    <sos:Text>It’s only a single personal repository on skreutzer’s account, where the context and environment holds many other repositories as well that aren’t related to SOS, so somebody who explores the repository wouldn’t find other SOS material, but unrelated projects, which is bad for the discoverability of the SOS projects. Other SOS repositories aren’t collected in one place, but spread and mixed with other stuff, which is confusing. There is no one-stop-shop authoritative place where all the materials can be found.</sos:Text>
  </sos:POI>
  <sos:POI ID="32" Type="Effect">
    <sos:Parent Parent-ID="7"/>
    <sos:Title>Bad for community management</sos:Title>
    <sos:Text>It’s difficult and risky for other people to join and participate, if their contributions are bound to a personal account that’s not related to SOS. Connections might get lost for SOS if a transition needs to happen later.</sos:Text>
  </sos:POI>
  <sos:POI ID="33" Type="Effect">
    <sos:Parent Parent-ID="7"/>
    <sos:Title>Bus factor</sos:Title>
    <sos:Text>With git, forking is easy and cheap, so it’s not an effect of too much importance yet that the experimental repository for examples and prototypes is operated by a single person and in case of mishap, malicious actions or loss of availability/interest might become inacessible.</sos:Text>
  </sos:POI>
  <sos:POI ID="11" Type="Effect">
    <sos:Parent Parent-ID="7"/>
    <sos:Title>No connections from SOS</sos:Title>
    <sos:Text>There’s no connection from the wcharlton user account nor from the official website http://www.untiednations.com/community/plan-sos/ to the repository, which is bad for discoverability and relies solely on wcharlton’s responsibility to indicate the existence of it, in terms of bus factor.</sos:Text>
  </sos:POI>
  <sos:POI ID="12" Type="Effect">
    <sos:Parent Parent-ID="8"/>
    <sos:Parent Parent-ID="14"/>
    <sos:Parent Parent-ID="15"/>
    <sos:Title>Unpublished material</sos:Title>
    <sos:Text>Some of William Charlton’s material isn’t published like the grid interface mockup drawings, HTML grid interface mockup, ASPX server prototype, the “SOS - Meeting for Untied Nations/The Ecology of Systems Thinking” and “SOS - Meeting for Cape Town Hackathon” files with their corresponding XSLTs.</sos:Text>
  </sos:POI>
  <sos:POI ID="14" Type="Effect">
    <sos:Title>No repository</sos:Title>
    <sos:Text>In lack of a shared repository or a personal repository, there is no good place to publish them.</sos:Text>
  </sos:POI>
  <sos:POI ID="15" Type="Effect">
    <sos:Title>Copyright</sos:Title>
    <sos:Text>For the publication of the material to make sense and be useful, it should be licensed properly. This requires William Charlton to consider the licenses and deciding on one or several of them.</sos:Text>
  </sos:POI>
  <sos:POI ID="16" Type="Effect">
    <sos:Parent Parent-ID="12"/>
    <sos:Title>Incompleteness, not open</sos:Title>
    <sos:Text>People who look into the project via the site or the sos-experimental repository won’t be able to get an overview of what has been produced so far. Potential collaborators or independent contributors won’t have access to all the files and might start to waste time by producing similar material which was already produced, but isn’t available.</sos:Text>
  </sos:POI>
  <sos:POI ID="17" Type="Effect">
    <sos:Parent Parent-ID="12"/>
    <sos:Title>No versioning</sos:Title>
    <sos:Text>It’s difficult to keep track of the different versions of a file and it can’t easily be established from a given file if it is current or an historic version.</sos:Text>
  </sos:POI>
  <sos:POI ID="18" Type="Effect">
    <sos:Parent Parent-ID="12"/>
    <sos:Title>Backup is difficult</sos:Title>
    <sos:Text>It takes a lot of effort to spread the individual files in order to have copies of the whole collection everywhere as a backup mechanism if the original repository or (e-mail) accounts become unavailable.</sos:Text>
  </sos:POI>
  <sos:POI ID="19" Type="Effect">
    <sos:Parent Parent-ID="8"/>
    <sos:Title>SOS formats differ</sos:Title>
    <sos:Text>Stephan Kreutzer’s example files differ from William Charlton’s example files. Stephan Kreutzer’s prototypes expect a different format than William Charlton’s prototypes expect. Stephan Kreutzer’s example files don’t validate according to the official XSD.</sos:Text>
  </sos:POI>
  <sos:POI ID="21" Type="Effect">
    <sos:Parent Parent-ID="19"/>
    <sos:Parent Parent-ID="25"/>
    <sos:Title>Not interoperable</sos:Title>
    <sos:Text>Because of differing formats, the prototypes are incompatible and example files are specific to only one of the two prototype groups. The examples can’t be demonstrated to work with all of the prototypes.</sos:Text>
  </sos:POI>
  <sos:POI ID="23" Type="Effect">
    <sos:Title>SOS is also a human system tool</sos:Title>
    <sos:Text>SOS planning is a method/process/procedure, not just a software tool. It’s intended to be used in specific contexts and setups. The prototypes don’t necessarily reflect the methodological context yet.</sos:Text>
  </sos:POI>
  <sos:POI ID="24" Type="Effect">
    <sos:Title>Is pre-existing</sos:Title>
    <sos:Text>The Meeting is in William Charlton’s example files and prototypes that pre-existed the creation of the prototypes and examples.</sos:Text>
  </sos:POI>´
  <sos:POI ID="25" Type="Effect">
    <sos:Parent Parent-ID="23"/>
    <sos:Parent Parent-ID="24"/>
    <sos:Title>Meetings not reflected in all examples and prototypes</sos:Title>
    <sos:Text>Stephan Kreutzer’s examples and prototypes don’t reflect the concept of the Meeting, which leads to incompatibility with William Charlton’s examples and prototypes that do implement the concept of the Meeting.</sos:Text>
  </sos:POI>
  <sos:POI ID="26" Type="Effect">
    <sos:Parent Parent-ID="8"/>
    <sos:Title>Progress isn’t visible</sos:Title>
    <sos:Text>Visitors and potential collaborators/contributors can’t find out about the progress of the project.</sos:Text>
  </sos:POI>
  <sos:POI ID="28" Type="Effect">
    <sos:Parent Parent-ID="26"/>
    <sos:Title>Not very engaging</sos:Title>
    <sos:Text>Visitors, potential collaborators and potential contributors might not get attracted because of thinking that the project is inactive.</sos:Text>
  </sos:POI>
  <sos:POI ID="29" Type="Effect">
    <sos:Parent Parent-ID="8"/>
    <sos:Title>No production system</sos:Title>
    <sos:Text>The examples and prototypes are somewhat fixed/frozen, they serve as mere examples that shouldn’t be polluted with expansion as a result of real-world usage in order to remain useful and concise, with focus on specific features and characteristics. For the real bootstrapping of this project effort, there’s no production system/environment that also allows organizational enhancements like notifications or versioning to track the history.</sos:Text>
  </sos:POI>
  <sos:POI ID="31" Type="Effect">
    <sos:Parent Parent-ID="29"/>
    <sos:Parent Parent-ID="30"/>
    <sos:Parent Parent-ID="21"/>
    <sos:Title>Progress is limited/blocked</sos:Title>
    <sos:Text>Bootstrapping can’t improve and advance to a higher stage as the existing results aren’t supposed to and don’t contribute to the actual project effort itself.</sos:Text>
  </sos:POI>
</sos:SOS></div></body></html>
